## xapian-core 1.2.22

=== debian/changelog ===
xapian-core (1.2.22-2) unstable; urgency=medium

  * Make libxapian-dev "Multi-Arch: no", spotted by lintian.
  * debian/control.in: http->https in "Vcs-Browser:" and "Homepage:".
  * debian/copyright,debian/watch: http->https for xapian.org.
  * debian/control.in: "Standards-Version: 3.9.7" (no changes required).

 -- Olly Betts <olly@survex.com>  Thu, 04 Feb 2016 16:13:10 +1300

xapian-core (1.2.22-1) unstable; urgency=medium

  * New upstream release:
    + Newer than 1.2.21_git68, so Closes: #808610
  * Ack NMU; adjust changes so building backports should just work.
  * Update list of tools in description of xapian-tools package.
  * debian/control.in: Drop "Suggests: libstdc++6-4.6-dbg" from our -dbg
    package.  The package name is now out of date, and the work required
    to keep updating it doesn't seem worth the small benefit.
  * Add multi-arch support (Closes: #765820).  Thanks to Norman Rasmussen
    and Wookey.
  * Set AUTOMATED_TESTING=1 when running "make check" to skip timed tests
    which can be flaky under uneven load.
  * debian/copyright: Update copyright years for packaging.

 -- Olly Betts <olly@survex.com>  Thu, 21 Jan 2016 12:00:22 +1300

=== debian/control ===
Source: xapian-core
Section: libs
Priority: important
Maintainer: Olly Betts <olly@survex.com>
Standards-Version: 3.9.7
Build-Depends: debhelper (>= 9), autotools-dev, zlib1g-dev, uuid-dev, dpkg (>= 1.16.1~)
Homepage: https://xapian.org/
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/xapian-core.git
Vcs-git: git://anonscm.debian.org/collab-maint/xapian-core.git

Package: libxapian22v5
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: xapian-tools
Conflicts: libxapian22
Replaces: libxapian22
Multi-Arch: same
Description: Search engine library
 This package contains the core Xapian runtime library.
 .
 The Xapian search engine library is a highly adaptable toolkit which allows
 developers to easily add advanced indexing and search facilities to their own
 applications.  It implements the probabilistic model of information retrieval,
 and provides facilities for performing ranked free-text searches, relevance
 feedback, phrase searching, boolean searching, stemming, and simultaneous
 update and searching.  It is highly scalable, and is capable of working with
 collections containing hundreds of millions of documents.

Package: libxapian22v5-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libxapian22v5 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Suggests: libc6-dbg, libgcc1-dbg, zlib1g-dbg
Conflicts: libxapian22-dbg
Replaces: libxapian22-dbg
Multi-Arch: same
Description: Debugging symbols for the Xapian Search engine library
 This package contains debugging symbols for the core Xapian library.
 .
 The Xapian search engine library is a highly adaptable toolkit which allows
 developers to easily add advanced indexing and search facilities to their own
 applications.  It implements the probabilistic model of information retrieval,
 and provides facilities for performing ranked free-text searches, relevance
 feedback, phrase searching, boolean searching, stemming, and simultaneous
 update and searching.  It is highly scalable, and is capable of working with
 collections containing hundreds of millions of documents.

Package: libxapian-dev
Architecture: any
Section: libdevel
Priority: optional
Depends: libxapian22v5 (= ${binary:Version}), libc6-dev | libc-dev, ${misc:Depends}
Suggests: xapian-doc (= ${binary:Version}), xapian-examples (= ${binary:Version})
Multi-Arch: no
Description: Development files for Xapian search engine library
 This package contains development libraries and headers for the core Xapian
 library.
 .
 The Xapian search engine library is a highly adaptable toolkit which allows
 developers to easily add advanced indexing and search facilities to their own
 applications.  It implements the probabilistic model of information retrieval,
 and provides facilities for performing ranked free-text searches, relevance
 feedback, phrase searching, boolean searching, stemming, and simultaneous
 update and searching.  It is highly scalable, and is capable of working with
 collections containing hundreds of millions of documents.

Package: xapian-tools
Architecture: any
Section: utils
Priority: optional
Depends: libxapian22v5 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Basic tools for Xapian search engine library
 This package contains several tools related to Xapian.
  - copydatabase: Copy one or more Xapian databases.
  - delve: Inspect the contents of a Xapian database.
  - quest: Command line search of a Xapian database.
  - xapian-check: Check the validity of a Xapian database.
  - xapian-compact: Compact a quartz database, or merge and compact several.
  - xapian-inspect: Developer tool for low level inspection of a database.
  - xapian-progsrv: stdin/stdout based server, for searching databases remotely.
  - xapian-tcpsrv: TCP based server, used for searching databases remotely.
  - xapian-chert-update: Update older format chert databases.
  - xapian-replicate: Replication client.
  - xapian-replicate-server: Replication server.
  - xapian-metadata: Inspect or set user metadata in a database.
 .
 The Xapian search engine library is a highly adaptable toolkit which allows
 developers to easily add advanced indexing and search facilities to their own
 applications.  It implements the probabilistic model of information retrieval,
 and provides facilities for performing ranked free-text searches, relevance
 feedback, phrase searching, boolean searching, stemming, and simultaneous
 update and searching.  It is highly scalable, and is capable of working with
 collections containing hundreds of millions of documents.

Package: xapian-doc
Architecture: all
Section: doc
Priority: optional
Depends: ${misc:Depends}
Recommends: libxapian-dev (= ${binary:Version})
Description: Core Xapian documentation
 This package contains general documentation about Xapian, and more detailed
 API documentation.
 .
 The Xapian search engine library is a highly adaptable toolkit which allows
 developers to easily add advanced indexing and search facilities to their own
 applications.  It implements the probabilistic model of information retrieval,
 and provides facilities for performing ranked free-text searches, relevance
 feedback, phrase searching, boolean searching, stemming, and simultaneous
 update and searching.  It is highly scalable, and is capable of working with
 collections containing hundreds of millions of documents.

Package: xapian-examples
Architecture: any
Section: doc
Priority: optional
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libxapian-dev (= ${binary:Version})
Description: Xapian simple example programs
 This package contains source code for some example programs which use the
 Xapian library.  The three "simple" examples are also included in binary
 form; binaries for the other examples can be found in the xapian-tools
 package (since they're useful tools in their own right).
 .
 The Xapian search engine library is a highly adaptable toolkit which allows
 developers to easily add advanced indexing and search facilities to their own
 applications.  It implements the probabilistic model of information retrieval,
 and provides facilities for performing ranked free-text searches, relevance
 feedback, phrase searching, boolean searching, stemming, and simultaneous
 update and searching.  It is highly scalable, and is capable of working with
 collections containing hundreds of millions of documents.

=== debian/rules ===
#!/usr/bin/make -f
#
# Copyright (C) 2004,2005,2006 Lemur Consulting Ltd
# Copyright (C) 2006,2007,2008,2009,2010,2011,2012,2013,2015,2016 Olly Betts
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to
# deal in the Software without restriction, including without limitation the
# rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
# sell copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
# FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
# IN THE SOFTWARE.

# Codename we're building packages for.  For backported packages, put the
# codename (e.g. jessie or trusty) in debian/codename.  If that file doesn't
# exist, the default is sid.
#
# (Currently nothing in this file varies depending on the codename).
# CODENAME := $(shell cat debian/codename 2>/dev/null||echo sid)

# The soversion number needs to match that generated by libtool.  The following
# lines should read configure.ac to get the current interface number and
# subtract it from the interface age, to get the oldest interface number
# supported by the library. This should correspond to the soversion assigned
# to the library by libtool.  (This isn't documented, and is system dependent,
# so we need to check it doesn't break with future versions of libtool.)
#
# Check the C++ ABI version before adding a 'v5' suffix, for simpler
# backporting.
libxapian_soversion:=$(shell \
    awk -F'[=:]' '($$1 == "LIBRARY_VERSION_INFO") {print $$2-$$4}' configure.ac\
    )$(shell \
    test `echo __GXX_ABI_VERSION|g++ -xc++ -E -|tail -n1` -ge 1009 && echo v5)

# For use in Conflicts and Replaces.
other_abi_suffix:=$(shell test `echo __GXX_ABI_VERSION|g++ -xc++ -E -|tail -n1` -lt 1009 && echo v5)

# For now, we don't support installation of development files for multiple
# versions concurrently.  Incompatible ABI changes should be rare, so this
# seems reasonable.
libxapian_dev_soversion=

export DH_OPTIONS

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
export DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

confflags := --prefix=/usr --sysconfdir=/etc
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
    confflags += --build $(DEB_HOST_GNU_TYPE)
else
    confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
    # Disable the testsuite when cross-compiling.
    DEB_BUILD_OPTIONS += nocheck
endif
confflags += --libdir=/usr/lib/$(DEB_HOST_MULTIARCH)

# For i386 and *-i386.
ifeq ($(patsubst %-i386,i386,$(DEB_HOST_ARCH)), i386)
    XAPIAN_BUILD_SSE := 1
endif

# Handle other DEB_BUILD_OPTIONS.  Note that dh_strip handles nostrip for us,
# and dpkg-buildflags handles noopt.

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    MAKEFLAGS += -j$(NUMJOBS)
endif
ifneq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
    MAKE_CHECK := :
else
    # Set AUTOMATED_TESTING to skip timed tests which can be flaky under uneven
    # load.
    MAKE_CHECK := $(MAKE) check VALGRIND= AUTOMATED_TESTING=1
endif

# In dpkg 1.17.0, --export=cmdline was added as the preferred name, but stick
# with --export=configure for now to ease backporting to suites with older
# dpkg.
confflags += $(shell dpkg-buildflags --export=configure)

# With GCC3 and later this won't make a huge difference, but it'll save
# a bit of time and diskspace while building.
confflags += --disable-dependency-tracking

maint: \
	debian/control \
	debian/libxapian$(libxapian_soversion).install \
	debian/libxapian$(libxapian_dev_soversion)-dev.install

maintclean: clean
	rm -f debian/control
	rm -f debian/libxapian$(libxapian_soversion).install
	rm -f debian/libxapian$(libxapian_dev_soversion)-dev.install
	rm -rf debian/libxapian$(libxapian_soversion)
	rm -rf debian/libxapian$(libxapian_dev_soversion)-dev
	rm -rf debian/xapian-doc
	rm -rf debian/xapian-tools
	rm -rf debian/tmp debian/tmp-sse2

debian/control: debian/rules debian/control.in debian/compat
	rm -f debian/control.tmp
	sed -e 's/@LIBXAPIAN_SOVERSION@/$(libxapian_soversion)/g' \
	    -e 's/@LIBXAPIAN_DEV_SOVERSION@/$(libxapian_dev_soversion)/g' \
	    -e 's/@BUILD_DEPS@/debhelper (>= $(shell cat debian/compat)),/g' \
	    -e 's/@OTHER_ABI_SUFFIX@/$(other_abi_suffix)/g' \
	     debian/control.in > debian/control.tmp
	mv debian/control.tmp debian/control

debian/libxapian$(libxapian_soversion).install: debian/rules debian/libxapianVERSION.install
	cp -f debian/libxapianVERSION.install debian/libxapian$(libxapian_soversion).install

debian/libxapian$(libxapian_dev_soversion)-dev.install: debian/rules debian/libxapianVERSION-dev.install
	cp -f debian/libxapianVERSION-dev.install debian/libxapian$(libxapian_dev_soversion)-dev.install

configure: configure-stamp
configure-stamp: debian/control
	dh_testdir

	dh_autotools-dev_updateconfig

	# Report kernel and compiler version so upstream PLATFORMS file can be
	# updated from buildd logs.
	-uname -a
	-g++ --version

	# Configure in a subdirectory, for neatness.
	mkdir -p build
ifdef XAPIAN_BUILD_SSE
	cd build && ../configure $(confflags) --disable-sse
	mkdir -p build-sse2
	cd build-sse2 && ../configure $(confflags) --disable-static
else
	cd build && ../configure $(confflags)
endif

	# Touch the stamp file, to avoid repeating the configure step.
	touch $@

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: configure-stamp
	dh_testdir
	$(MAKE) -C build
ifdef XAPIAN_BUILD_SSE
	$(MAKE) -C build-sse2
	$(MAKE_CHECK) -C build-sse2
else
	$(MAKE_CHECK) -C build
endif
	touch $@

install: DH_OPTIONS=
install: install-stamp
install-stamp: build-stamp \
	 debian/libxapian$(libxapian_soversion).install \
	 debian/libxapian$(libxapian_dev_soversion)-dev.install
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Install the files into debian/tmp
	$(MAKE) -C build DESTDIR=$(CURDIR)/debian/tmp install

ifdef XAPIAN_BUILD_SSE
	$(MAKE) -C build-sse2 DESTDIR=$(CURDIR)/debian/tmp-sse2 install
	mkdir -p $(CURDIR)/debian/libxapian$(libxapian_soversion)/usr/lib/$(DEB_HOST_MULTIARCH)/sse2
	mv $(CURDIR)/debian/tmp-sse2/usr/lib/$(DEB_HOST_MULTIARCH)/libxapian*.so.* $(CURDIR)/debian/libxapian$(libxapian_soversion)/usr/lib/$(DEB_HOST_MULTIARCH)/sse2
	rm -rf $(CURDIR)/debian/tmp-sse2
endif

	# Empty dependency_libs to placate luddite release goal.
	sed -i 's/^\(dependency_libs=\).*/\1/' $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libxapian.la

	# Install the example source code
	mkdir -p debian/tmp/usr/share/doc/xapian-examples/examples
	cp examples/*.cc debian/tmp/usr/share/doc/xapian-examples/examples
	ln -s ../../../../lib/xapian-examples/examples debian/tmp/usr/share/doc/xapian-examples/examples/built

	# Fix up link to the internal sourcedocs to point to those on the
	# Xapian website since we don't build and package them.
	sed -i 's,sourcedoc/html/annotated.html,http://xapian.org/docs/&,' debian/tmp/usr/share/doc/xapian-core/internals.html

	# Reads the *.install files to decide where to install everything
	dh_install --sourcedir=debian/tmp --fail-missing
	touch $@

binary: binary-arch binary-indep
binary-indep: DH_OPTIONS=-i
binary-indep: build-indep install
	dh_testdir
	dh_testroot

=== debian/watch ===
version=3
opts="pgpsigurlmangle=s/$/.asc/" https://xapian.org/download http://oligarchy.co.uk/xapian/(\d+\.\d*[02468]\.[\d.]+)/xapian-core-\1\.tar\.(?:xz|bz2|gz)

## xapian-core 1.2.23

=== debian/changelog ===
xapian-core (1.2.23-1build1) yakkety; urgency=medium

  * No-change rebuild for GCC 6

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 11 Aug 2016 17:19:42 +0200

xapian-core (1.2.23-1) unstable; urgency=medium

  * New upstream release.

 -- Olly Betts <olly@survex.com>  Wed, 06 Apr 2016 13:06:37 +1200

xapian-core (1.2.22-3) unstable; urgency=medium

  * Remove "Multi-Arch: no" as dak rejects it.  (Closes: #814744)

 -- Olly Betts <olly@survex.com>  Thu, 25 Feb 2016 12:59:19 +1300

=== debian/control ===
--- 
+++ 
@@ -53,7 +53,6 @@
 Priority: optional
 Depends: libxapian22v5 (= ${binary:Version}), libc6-dev | libc-dev, ${misc:Depends}
 Suggests: xapian-doc (= ${binary:Version}), xapian-examples (= ${binary:Version})
-Multi-Arch: no
 Description: Development files for Xapian search engine library
  This package contains development libraries and headers for the core Xapian
  library.

## xapian-core 1.4.1

=== debian/changelog ===
xapian-core (1.4.1-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie backports.

 -- Olly Betts <olly@survex.com>  Tue, 29 Nov 2016 09:53:29 +1300

xapian-core (1.4.1-1) unstable; urgency=medium

  * New upstream release:
    + Installed xapian-config no longer contains build paths, improving
      reproducibility of the build.
  * xapian-doc: Mark as "Multi-Arch: foreign".

 -- Olly Betts <olly@survex.com>  Mon, 24 Oct 2016 11:00:58 +1300

xapian-core (1.4.0-2) unstable; urgency=medium

  * Upload to unstable (library transition, see #837630).

 -- Olly Betts <olly@survex.com>  Fri, 30 Sep 2016 09:06:13 +1300

xapian-core (1.4.0-1) experimental; urgency=medium

  * New upstream release series:
    + Disables static library by default - let's follow suit, as it is
      probably unused and saves build time and disk space for the installed
      package.
    + debian/rules: Ignore stopword lists for now
  * debian/rules: Add support for DEB_BUILD_OPTIONS=assertions
  * debian/rules: debian/control now depends on configure.ac.
  * debian/control.in: Declare conformance with "Standards-Version: 3.9.8".
  * debian/control.in: Use https for "Vcs-git".
  * debian/control.in: Use cgit instead of gitweb for "Vcs-Browser".

 -- Olly Betts <olly@survex.com>  Wed, 03 Aug 2016 16:48:58 +1200

## xapian-core 1.4.3

=== debian/changelog ===
xapian-core (1.4.3-2+deb9u2) stretch; urgency=medium

  * fix-glass-cursor-bug.patch: Fix glass backend bug with long-lived cursors
    on a table in a WritableDatabase which could incorrectly lead to
    DatabaseCorruptError being thrown when the database was actually OK.
    (Closes: #906007)

 -- Olly Betts <olly@survex.com>  Mon, 13 Aug 2018 18:19:13 +1200

xapian-core (1.4.3-2+deb9u1) stretch; urgency=medium

  * Fix MSet::snippet() to escape HTML in all cases (CVE-2018-499).
    New patch: cve-2018-0499-mset-snippet-escaping.patch (Closes: #902886)

 -- Olly Betts <olly@survex.com>  Fri, 06 Jul 2018 09:52:48 +1200

xapian-core (1.4.3-2) unstable; urgency=medium

  * Fix incorrect results for unweighted AND with certain subqueries (new
    patch fix-unweighted-and.patch).  (Closes: #857693)

 -- Olly Betts <olly@survex.com>  Thu, 06 Apr 2017 06:48:18 +1200

xapian-core (1.4.3-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright: Update.

 -- Olly Betts <olly@survex.com>  Wed, 25 Jan 2017 14:40:08 +1300

xapian-core (1.4.2-1) unstable; urgency=medium

  * New upstream release

 -- Olly Betts <olly@survex.com>  Mon, 26 Dec 2016 21:02:17 +1300

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,17 @@
 Section: libs
 Priority: important
 Maintainer: Olly Betts <olly@survex.com>
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Build-Depends: debhelper (>= 9), autotools-dev, zlib1g-dev, uuid-dev, dpkg (>= 1.16.1~)
 Homepage: https://xapian.org/
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/xapian-core.git
-Vcs-git: git://anonscm.debian.org/collab-maint/xapian-core.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/xapian-core.git/log/
+Vcs-git: https://anonscm.debian.org/git/collab-maint/xapian-core.git
 
-Package: libxapian22v5
+Package: libxapian30
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: xapian-tools
-Conflicts: libxapian22
-Replaces: libxapian22
 Multi-Arch: same
 Description: Search engine library
  This package contains the core Xapian runtime library.
@@ -27,14 +25,12 @@
  update and searching.  It is highly scalable, and is capable of working with
  collections containing hundreds of millions of documents.
 
-Package: libxapian22v5-dbg
+Package: libxapian30-dbg
 Architecture: any
 Section: debug
 Priority: extra
-Depends: libxapian22v5 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libxapian30 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Suggests: libc6-dbg, libgcc1-dbg, zlib1g-dbg
-Conflicts: libxapian22-dbg
-Replaces: libxapian22-dbg
 Multi-Arch: same
 Description: Debugging symbols for the Xapian Search engine library
  This package contains debugging symbols for the core Xapian library.
@@ -51,7 +47,7 @@
 Architecture: any
 Section: libdevel
 Priority: optional
-Depends: libxapian22v5 (= ${binary:Version}), libc6-dev | libc-dev, ${misc:Depends}
+Depends: libxapian30 (= ${binary:Version}), libc6-dev | libc-dev, ${misc:Depends}
 Suggests: xapian-doc (= ${binary:Version}), xapian-examples (= ${binary:Version})
 Description: Development files for Xapian search engine library
  This package contains development libraries and headers for the core Xapian
@@ -69,7 +65,7 @@
 Architecture: any
 Section: utils
 Priority: optional
-Depends: libxapian22v5 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libxapian30 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: Basic tools for Xapian search engine library
  This package contains several tools related to Xapian.
   - copydatabase: Copy one or more Xapian databases.
@@ -77,10 +73,8 @@
   - quest: Command line search of a Xapian database.
   - xapian-check: Check the validity of a Xapian database.
   - xapian-compact: Compact a quartz database, or merge and compact several.
-  - xapian-inspect: Developer tool for low level inspection of a database.
   - xapian-progsrv: stdin/stdout based server, for searching databases remotely.
   - xapian-tcpsrv: TCP based server, used for searching databases remotely.
-  - xapian-chert-update: Update older format chert databases.
   - xapian-replicate: Replication client.
   - xapian-replicate-server: Replication server.
   - xapian-metadata: Inspect or set user metadata in a database.
@@ -99,6 +93,7 @@
 Priority: optional
 Depends: ${misc:Depends}
 Recommends: libxapian-dev (= ${binary:Version})
+Multi-Arch: foreign
 Description: Core Xapian documentation
  This package contains general documentation about Xapian, and more detailed
  API documentation.

=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,9 @@
 # FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
 # IN THE SOFTWARE.
 
+# For development releases, set DEV_SERIES to the release series (e.g. 1.3)
+#DEV_SERIES := 1.3
+
 # Codename we're building packages for.  For backported packages, put the
 # codename (e.g. jessie or trusty) in debian/codename.  If that file doesn't
 # exist, the default is sid.
@@ -34,16 +37,14 @@
 # supported by the library. This should correspond to the soversion assigned
 # to the library by libtool.  (This isn't documented, and is system dependent,
 # so we need to check it doesn't break with future versions of libtool.)
-#
-# Check the C++ ABI version before adding a 'v5' suffix, for simpler
-# backporting.
 libxapian_soversion:=$(shell \
     awk -F'[=:]' '($$1 == "LIBRARY_VERSION_INFO") {print $$2-$$4}' configure.ac\
-    )$(shell \
-    test `echo __GXX_ABI_VERSION|g++ -xc++ -E -|tail -n1` -ge 1009 && echo v5)
-
-# For use in Conflicts and Replaces.
-other_abi_suffix:=$(shell test `echo __GXX_ABI_VERSION|g++ -xc++ -E -|tail -n1` -lt 1009 && echo v5)
+    )
+
+ifneq ($(DEV_SERIES),)
+libxapian_soversion:=-$(DEV_SERIES)-$(libxapian_soversion)
+VERSION_SUFFIX:=-$(DEV_SERIES)
+endif
 
 # For now, we don't support installation of development files for multiple
 # versions concurrently.  Incompatible ABI changes should be rare, so this
@@ -84,6 +85,9 @@
     # Set AUTOMATED_TESTING to skip timed tests which can be flaky under uneven
     # load.
     MAKE_CHECK := $(MAKE) check VALGRIND= AUTOMATED_TESTING=1
+endif
+ifneq (,$(filter assertions,$(DEB_BUILD_OPTIONS)))
+    confflags += --enable-assertions
 endif
 
 # In dpkg 1.17.0, --export=cmdline was added as the preferred name, but stick
@@ -110,25 +114,32 @@
 	rm -rf debian/xapian-tools
 	rm -rf debian/tmp debian/tmp-sse2
 
-debian/control: debian/rules debian/control.in debian/compat
+debian/control: configure.ac debian/rules debian/control.in debian/compat
 	rm -f debian/control.tmp
 	sed -e 's/@LIBXAPIAN_SOVERSION@/$(libxapian_soversion)/g' \
 	    -e 's/@LIBXAPIAN_DEV_SOVERSION@/$(libxapian_dev_soversion)/g' \
 	    -e 's/@BUILD_DEPS@/debhelper (>= $(shell cat debian/compat)),/g' \
-	    -e 's/@OTHER_ABI_SUFFIX@/$(other_abi_suffix)/g' \
 	     debian/control.in > debian/control.tmp
 	mv debian/control.tmp debian/control
 
 debian/libxapian$(libxapian_soversion).install: debian/rules debian/libxapianVERSION.install
-	cp -f debian/libxapianVERSION.install debian/libxapian$(libxapian_soversion).install
+	rm -f $@.tmp
+	sed 's/@VERSION_SUFFIX@/$(VERSION_SUFFIX)/' \
+	    debian/libxapianVERSION.install > $@.tmp
+	mv $@.tmp $@
 
 debian/libxapian$(libxapian_dev_soversion)-dev.install: debian/rules debian/libxapianVERSION-dev.install
-	cp -f debian/libxapianVERSION-dev.install debian/libxapian$(libxapian_dev_soversion)-dev.install
+	rm -f $@.tmp
+	sed 's/@VERSION_SUFFIX@/$(VERSION_SUFFIX)/' \
+	    debian/libxapianVERSION-dev.install > $@.tmp
+	mv $@.tmp $@
 
 configure: configure-stamp
 configure-stamp: debian/control
 	dh_testdir
 
+	# Use the latest config.sub and config.guess from the autotools-dev
+	# package.
 	dh_autotools-dev_updateconfig
 
 	# Report kernel and compiler version so upstream PLATFORMS file can be
@@ -184,7 +195,7 @@
 endif
 
 	# Empty dependency_libs to placate luddite release goal.
-	sed -i 's/^\(dependency_libs=\).*/\1/' $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libxapian.la
+	sed -i 's/^\(dependency_libs=\).*/\1/' $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libxapian$(VERSION_SUFFIX).la
 
 	# Install the example source code
 	mkdir -p debian/tmp/usr/share/doc/xapian-examples/examples
@@ -195,12 +206,5 @@
 	# Xapian website since we don't build and package them.
 	sed -i 's,sourcedoc/html/annotated.html,http://xapian.org/docs/&,' debian/tmp/usr/share/doc/xapian-core/internals.html
 
-	# Reads the *.install files to decide where to install everything
-	dh_install --sourcedir=debian/tmp --fail-missing
-	touch $@
-
-binary: binary-arch binary-indep
-binary-indep: DH_OPTIONS=-i
-binary-indep: build-indep install
-	dh_testdir
-	dh_testroot
+	# FIXME: Temporarily ignore these - we need to decide where to package
+	# them (new arch all -common or bundle into the main lib with a

=== debian/watch ===
version=3
# For stable releases:
opts="pgpsigurlmangle=s/$/.asc/" http://xapian.org/download http://oligarchy.co.uk/xapian/(\d+\.\d*[02468]\.[\d.]+)/xapian-core-\1\.tar\.(?:xz|bz2|gz)
# For development releases:
#opts="pgpsigurlmangle=s/$/.asc/" http://xapian.org/download http://oligarchy.co.uk/xapian/(\d+\.\d*[13579]\.[\d.]+)/xapian-core-\1\.tar\.(?:xz|bz2|gz)

## xapian-core 1.4.4

=== debian/changelog ===
xapian-core (1.4.4-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/control.in: Declare conformance with standards-version 4.0.0.
  * debian/rules,debian/control.in: Drop unused support for versioned -dev
    packages - policy now recommends against this.
  * debian/control.in: Drop -dbg debug package now we have automatically
    generated debug packages.
  * debian/watch: Update to use https links.
  * debian/rules: Update to use https for link to source docs.

 -- Olly Betts <olly@survex.com>  Thu, 29 Jun 2017 11:09:27 +1200

xapian-core (1.4.4-1) experimental; urgency=medium

  * New upstream release
    + Includes fix-unweighted-and.patch so drop.
    + Skips testcases which throw NetworkError with errno value ECHILD.
      (Closes: #681941)
    + Works around unhelpful semantics of AI_ADDRCONFIG on Linux.
      (Closes: #853107)

 -- Olly Betts <olly@survex.com>  Wed, 26 Apr 2017 10:58:47 +1200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: important
 Maintainer: Olly Betts <olly@survex.com>
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Build-Depends: debhelper (>= 9), autotools-dev, zlib1g-dev, uuid-dev, dpkg (>= 1.16.1~)
 Homepage: https://xapian.org/
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/xapian-core.git/log/
@@ -16,24 +16,6 @@
 Multi-Arch: same
 Description: Search engine library
  This package contains the core Xapian runtime library.
- .
- The Xapian search engine library is a highly adaptable toolkit which allows
- developers to easily add advanced indexing and search facilities to their own
- applications.  It implements the probabilistic model of information retrieval,
- and provides facilities for performing ranked free-text searches, relevance
- feedback, phrase searching, boolean searching, stemming, and simultaneous
- update and searching.  It is highly scalable, and is capable of working with
- collections containing hundreds of millions of documents.
-
-Package: libxapian30-dbg
-Architecture: any
-Section: debug
-Priority: extra
-Depends: libxapian30 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
-Suggests: libc6-dbg, libgcc1-dbg, zlib1g-dbg
-Multi-Arch: same
-Description: Debugging symbols for the Xapian Search engine library
- This package contains debugging symbols for the core Xapian library.
  .
  The Xapian search engine library is a highly adaptable toolkit which allows
  developers to easily add advanced indexing and search facilities to their own

=== debian/rules ===
--- 
+++ 
@@ -46,11 +46,6 @@
 VERSION_SUFFIX:=-$(DEV_SERIES)
 endif
 
-# For now, we don't support installation of development files for multiple
-# versions concurrently.  Incompatible ABI changes should be rare, so this
-# seems reasonable.
-libxapian_dev_soversion=
-
 export DH_OPTIONS
 
 export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
@@ -102,14 +97,14 @@
 maint: \
 	debian/control \
 	debian/libxapian$(libxapian_soversion).install \
-	debian/libxapian$(libxapian_dev_soversion)-dev.install
+	debian/libxapian-dev.install
 
 maintclean: clean
 	rm -f debian/control
 	rm -f debian/libxapian$(libxapian_soversion).install
-	rm -f debian/libxapian$(libxapian_dev_soversion)-dev.install
+	rm -f debian/libxapian-dev.install
 	rm -rf debian/libxapian$(libxapian_soversion)
-	rm -rf debian/libxapian$(libxapian_dev_soversion)-dev
+	rm -rf debian/libxapian-dev
 	rm -rf debian/xapian-doc
 	rm -rf debian/xapian-tools
 	rm -rf debian/tmp debian/tmp-sse2
@@ -117,7 +112,6 @@
 debian/control: configure.ac debian/rules debian/control.in debian/compat
 	rm -f debian/control.tmp
 	sed -e 's/@LIBXAPIAN_SOVERSION@/$(libxapian_soversion)/g' \
-	    -e 's/@LIBXAPIAN_DEV_SOVERSION@/$(libxapian_dev_soversion)/g' \
 	    -e 's/@BUILD_DEPS@/debhelper (>= $(shell cat debian/compat)),/g' \
 	     debian/control.in > debian/control.tmp
 	mv debian/control.tmp debian/control
@@ -128,7 +122,7 @@
 	    debian/libxapianVERSION.install > $@.tmp
 	mv $@.tmp $@
 
-debian/libxapian$(libxapian_dev_soversion)-dev.install: debian/rules debian/libxapianVERSION-dev.install
+debian/libxapian-dev.install: debian/rules debian/libxapianVERSION-dev.install
 	rm -f $@.tmp
 	sed 's/@VERSION_SUFFIX@/$(VERSION_SUFFIX)/' \
 	    debian/libxapianVERSION-dev.install > $@.tmp
@@ -178,7 +172,7 @@
 install: install-stamp
 install-stamp: build-stamp \
 	 debian/libxapian$(libxapian_soversion).install \
-	 debian/libxapian$(libxapian_dev_soversion)-dev.install
+	 debian/libxapian-dev.install
 	dh_testdir
 	dh_testroot
 	dh_prep
@@ -204,7 +198,23 @@
 
 	# Fix up link to the internal sourcedocs to point to those on the
 	# Xapian website since we don't build and package them.
-	sed -i 's,sourcedoc/html/annotated.html,http://xapian.org/docs/&,' debian/tmp/usr/share/doc/xapian-core/internals.html
+	sed -i 's,sourcedoc/html/annotated.html,https://xapian.org/docs/&,' debian/tmp/usr/share/doc/xapian-core/internals.html
 
 	# FIXME: Temporarily ignore these - we need to decide where to package
 	# them (new arch all -common or bundle into the main lib with a
+	# suitably versioned path?)
+	rm -rf debian/tmp/usr/share/xapian-core/stopwords
+
+	# Reads the *.install files to decide where to install everything
+	dh_install --sourcedir=debian/tmp --fail-missing
+	touch $@
+
+binary: binary-arch binary-indep
+binary-indep: DH_OPTIONS=-i
+binary-indep: build-indep install
+	dh_testdir
+	dh_testroot
+	dh_installdocs
+	dh_installexamples
+	dh_installmenu
+	dh_installman

## xapian-core 1.4.5

=== debian/changelog ===
xapian-core (1.4.5-1ubuntu0.1) bionic-security; urgency=medium

  * SECURITY UPDATE: Cross-site scripting vulnerability
    - debian/patches/CVE-2018-0499.patch: fix this
      in queryparser/termgenerator_internal.cc.
    - CVE-2018-0499

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Fri, 06 Jul 2018 14:12:48 -0300

xapian-core (1.4.5-1) unstable; urgency=medium

  * New upstream release
    + Fixes FTBFS due to testsuite failure on GNU/Hurd.

 -- Olly Betts <olly@survex.com>  Wed, 01 Nov 2017 14:13:30 +1300

xapian-core (1.4.4-3) unstable; urgency=medium

  * Update to conform with policy 4.1.0:
    + All binary packages are now "Priority: optional"
  * Rebuild with GCC7.  (Closes: #873751)
  * debian/rules: Drop --disable-static as that's now the upstream default.

 -- Olly Betts <olly@survex.com>  Thu, 31 Aug 2017 12:34:55 +1200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: xapian-core
 Section: libs
-Priority: important
-Maintainer: Olly Betts <olly@survex.com>
-Standards-Version: 4.0.0
+Priority: optional
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Olly Betts <olly@survex.com>
+Standards-Version: 4.1.0
 Build-Depends: debhelper (>= 9), autotools-dev, zlib1g-dev, uuid-dev, dpkg (>= 1.16.1~)
 Homepage: https://xapian.org/
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/xapian-core.git/log/
@@ -28,7 +29,6 @@
 Package: libxapian-dev
 Architecture: any
 Section: libdevel
-Priority: optional
 Depends: libxapian30 (= ${binary:Version}), libc6-dev | libc-dev, ${misc:Depends}
 Suggests: xapian-doc (= ${binary:Version}), xapian-examples (= ${binary:Version})
 Description: Development files for Xapian search engine library
@@ -46,7 +46,6 @@
 Package: xapian-tools
 Architecture: any
 Section: utils
-Priority: optional
 Depends: libxapian30 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: Basic tools for Xapian search engine library
  This package contains several tools related to Xapian.
@@ -72,7 +71,6 @@
 Package: xapian-doc
 Architecture: all
 Section: doc
-Priority: optional
 Depends: ${misc:Depends}
 Recommends: libxapian-dev (= ${binary:Version})
 Multi-Arch: foreign
@@ -91,7 +89,6 @@
 Package: xapian-examples
 Architecture: any
 Section: doc
-Priority: optional
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: libxapian-dev (= ${binary:Version})
 Description: Xapian simple example programs

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 #
 # Copyright (C) 2004,2005,2006 Lemur Consulting Ltd
-# Copyright (C) 2006,2007,2008,2009,2010,2011,2012,2013,2015,2016 Olly Betts
+# Copyright (C) 2006,2007,2008,2009,2010,2011,2012,2013,2015,2016,2017 Olly Betts
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to
@@ -146,7 +146,7 @@
 ifdef XAPIAN_BUILD_SSE
 	cd build && ../configure $(confflags) --disable-sse
 	mkdir -p build-sse2
-	cd build-sse2 && ../configure $(confflags) --disable-static
+	cd build-sse2 && ../configure $(confflags)
 else
 	cd build && ../configure $(confflags)
 endif

## xapian-core 1.4.7

=== debian/changelog ===
xapian-core (1.4.7-4) unstable; urgency=medium

  * debian/rules: Generate libxapian30.shlibs instead of shlibs.local.
    Really Closes: #910110.

 -- Olly Betts <olly@survex.com>  Sat, 06 Oct 2018 13:09:42 +1300

xapian-core (1.4.7-3) unstable; urgency=medium

  * debian/rules: Generate shlibs.local so that reverse dependencies get a
    versioned dependency on libxapian30 based on the version when the ABI
    last changed. (Closes: #910110)
  * debian/control.in: Mark conformance with policy 4.2.1.

 -- Olly Betts <olly@survex.com>  Fri, 05 Oct 2018 13:56:34 +1300

xapian-core (1.4.7-2) unstable; urgency=medium

  * debian/control.in: Really drop "Testsuite" header.
  * Reenable revert-broken-optimisation.patch for now - it wasn't
    actually in upstream 1.4.7.  Thanks to David Bremner for spotting
    this.

 -- Olly Betts <olly@survex.com>  Fri, 27 Jul 2018 10:34:21 +1200

xapian-core (1.4.7-1) unstable; urgency=medium

  * New upstream release:
    + Includes revert-broken-optimisation.patch so drop.
  * debian/control.in: Mark conformance with policy 4.1.5.
  * debian/control.in: Drop "Testsuite" header which apparently isn't needed.

 -- Olly Betts <olly@survex.com>  Fri, 20 Jul 2018 13:45:17 +1200

xapian-core (1.4.6-2) unstable; urgency=medium

  * Revert broken new optimisation in 1.4.6 when searching a modified
    WritableDatabase.  New patch: revert-broken-optimisation.patch
    Spotted by David Bremner via the notmuch testsuite.
  * Add autopkgtest which runs some simple tests using the packaged
    command-line tools.

 -- Olly Betts <olly@survex.com>  Mon, 09 Jul 2018 12:42:03 +1200

xapian-core (1.4.6-1) unstable; urgency=medium

  * New upstream release
    + MSet::snippet() fixed to escape HTML in all cases (CVE-2018-499).
      (Closes: #902886)
  * debian/control.in: Declare conformance with standards-version 4.1.4.
  * debian/control.in: Update Vcs-* to point to salsa.d.o.

 -- Olly Betts <olly@survex.com>  Tue, 03 Jul 2018 10:23:20 +1200

=== debian/rules ===
--- 
+++ 
@@ -40,6 +40,9 @@
 libxapian_soversion:=$(shell \
     awk -F'[=:]' '($$1 == "LIBRARY_VERSION_INFO") {print $$2-$$4}' configure.ac\
     )
+last_abi_change_version:=$(shell \
+    awk 'BEGIN {v="1.4.0"} ($$0 ~ /^dnl [0-9][0-9]*:0:[0-9][0-9]* [0-9][0-9]*\./) { v = $$3 } END {print v}' configure.ac\
+    )
 
 ifneq ($(DEV_SERIES),)
 libxapian_soversion:=-$(DEV_SERIES)-$(libxapian_soversion)
@@ -97,11 +100,13 @@
 maint: \
 	debian/control \
 	debian/libxapian$(libxapian_soversion).install \
+	debian/libxapian$(libxapian_soversion).shlibs \
 	debian/libxapian-dev.install
 
 maintclean: clean
 	rm -f debian/control
 	rm -f debian/libxapian$(libxapian_soversion).install
+	rm -f debian/libxapian$(libxapian_soversion).shlibs
 	rm -f debian/libxapian-dev.install
 	rm -rf debian/libxapian$(libxapian_soversion)
 	rm -rf debian/libxapian-dev
@@ -115,6 +120,10 @@
 	    -e 's/@BUILD_DEPS@/debhelper (>= $(shell cat debian/compat)),/g' \
 	     debian/control.in > debian/control.tmp
 	mv debian/control.tmp debian/control
+
+debian/libxapian$(libxapian_soversion).shlibs: configure.ac debian/rules
+	echo 'libxapian $(libxapian_soversion) libxapian$(libxapian_soversion) (>= $(last_abi_change_version)~)' > $@.tmp
+	mv $@.tmp $@
 
 debian/libxapian$(libxapian_soversion).install: debian/rules debian/libxapianVERSION.install
 	rm -f $@.tmp
@@ -201,20 +210,3 @@
 	sed -i 's,sourcedoc/html/annotated.html,https://xapian.org/docs/&,' debian/tmp/usr/share/doc/xapian-core/internals.html
 
 	# FIXME: Temporarily ignore these - we need to decide where to package
-	# them (new arch all -common or bundle into the main lib with a
-	# suitably versioned path?)
-	rm -rf debian/tmp/usr/share/xapian-core/stopwords
-
-	# Reads the *.install files to decide where to install everything
-	dh_install --sourcedir=debian/tmp --fail-missing
-	touch $@
-
-binary: binary-arch binary-indep
-binary-indep: DH_OPTIONS=-i
-binary-indep: build-indep install
-	dh_testdir
-	dh_testroot
-	dh_installdocs
-	dh_installexamples
-	dh_installmenu
-	dh_installman

## xapian-core 1.4.9

=== debian/changelog ===
xapian-core (1.4.9-1) unstable; urgency=medium

  * New upstream release
    + Fixes term position bugs introduced in 1.4.8. (Closes: #912343)
  * debian/rules: Add dependencies so regeneration of libxapian30.shlibs is
    triggered when required - this file should have been regenerated for
    1.4.8-1 but wasn't due to the lack of such a dependency. (Closes: #912370)

 -- Olly Betts <olly@survex.com>  Sat, 03 Nov 2018 15:27:44 +1300

xapian-core (1.4.8-1) unstable; urgency=medium

  * New upstream release:
    + Includes patch revert-broken-optimisation.patch so drop.
    + Add new tool xapian-pos and its man page to xapian-tools package.

 -- Olly Betts <olly@survex.com>  Mon, 29 Oct 2018 12:22:37 +1300

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: xapian-core
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Olly Betts <olly@survex.com>
-Standards-Version: 4.1.0
+Maintainer: Olly Betts <olly@survex.com>
+Standards-Version: 4.2.1
 Build-Depends: debhelper (>= 9), autotools-dev, zlib1g-dev, uuid-dev, dpkg (>= 1.16.1~)
 Homepage: https://xapian.org/
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/xapian-core.git/log/
-Vcs-git: https://anonscm.debian.org/git/collab-maint/xapian-core.git
+Vcs-Browser: https://salsa.debian.org/olly/xapian-core
+Vcs-git: https://salsa.debian.org/olly/xapian-core.git
 
 Package: libxapian30
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -138,7 +138,7 @@
 	mv $@.tmp $@
 
 configure: configure-stamp
-configure-stamp: debian/control
+configure-stamp: debian/control debian/libxapian$(libxapian_soversion).shlibs
 	dh_testdir
 
 	# Use the latest config.sub and config.guess from the autotools-dev
@@ -209,4 +209,3 @@
 	# Xapian website since we don't build and package them.
 	sed -i 's,sourcedoc/html/annotated.html,https://xapian.org/docs/&,' debian/tmp/usr/share/doc/xapian-core/internals.html
 
-	# FIXME: Temporarily ignore these - we need to decide where to package

## xapian-core 1.4.10

=== debian/changelog ===
xapian-core (1.4.10-1) unstable; urgency=medium

  * New upstream release
  * debian/rules: Drop -L and -l options from dh_shlibdeps invocation.
    These are no longer needed for our case (since about 10 years ago).
  * debian/control: Specify "Rules-Requires-Root: no"

 -- Olly Betts <olly@survex.com>  Tue, 12 Feb 2019 12:47:24 +1300

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Standards-Version: 4.2.1
 Build-Depends: debhelper (>= 9), autotools-dev, zlib1g-dev, uuid-dev, dpkg (>= 1.16.1~)
 Homepage: https://xapian.org/
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/olly/xapian-core
 Vcs-git: https://salsa.debian.org/olly/xapian-core.git

## xapian-core 1.4.11

=== debian/changelog ===
xapian-core (1.4.11-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Really mark conformance with policy 4.3.0.

 -- Olly Betts <olly@survex.com>  Sat, 02 Mar 2019 15:29:47 +1300

xapian-core (1.4.10-2) unstable; urgency=medium

  * Fix keepalive1 testcase failures on kfreebsd - new patch:
    fix-keepalive1-failures-on-kfreebsd.patch
  * debian/control.in: Mark conformance with policy 4.3.0.

 -- Olly Betts <olly@survex.com>  Fri, 22 Feb 2019 17:54:59 +1300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: Olly Betts <olly@survex.com>
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Build-Depends: debhelper (>= 9), autotools-dev, zlib1g-dev, uuid-dev, dpkg (>= 1.16.1~)
 Homepage: https://xapian.org/
 Rules-Requires-Root: no

## xapian-core 1.4.12

=== debian/changelog ===
xapian-core (1.4.12-1) unstable; urgency=medium

  * New upstream release
    + Drop fix-keepalive1-failures-on-kfreebsd.patch now included upstream.
  * debian/control.in: Mark conformance with policy 4.4.0.

 -- Olly Betts <olly@survex.com>  Thu, 22 Aug 2019 17:10:20 +1200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: Olly Betts <olly@survex.com>
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Build-Depends: debhelper (>= 9), autotools-dev, zlib1g-dev, uuid-dev, dpkg (>= 1.16.1~)
 Homepage: https://xapian.org/
 Rules-Requires-Root: no

## xapian-core 1.4.14

=== debian/changelog ===
xapian-core (1.4.14-2) unstable; urgency=medium

  * debian/tests/smoke: Update expected output since quest now reports the
    number of matches.
  * debian/tests/smoke: Use AUTOPKGTEST_TMP instead of deprecated ADTTMP.

 -- Olly Betts <olly@survex.com>  Tue, 11 Feb 2020 08:03:30 +1300

xapian-core (1.4.14-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Mark conformance with policy 4.5.0.

 -- Olly Betts <olly@survex.com>  Sat, 08 Feb 2020 10:28:55 +1300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: Olly Betts <olly@survex.com>
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Build-Depends: debhelper (>= 9), autotools-dev, zlib1g-dev, uuid-dev, dpkg (>= 1.16.1~)
 Homepage: https://xapian.org/
 Rules-Requires-Root: no

## xapian-core 1.4.15

=== debian/changelog ===
xapian-core (1.4.15-1) unstable; urgency=medium

  * New upstream release

 -- Olly Betts <olly@survex.com>  Mon, 06 Apr 2020 18:42:15 +1200

## xapian-core 1.4.17

=== debian/changelog ===
xapian-core (1.4.17-1) unstable; urgency=medium

  * New upstream release.

 -- Olly Betts <olly@survex.com>  Fri, 21 Aug 2020 16:59:01 +1200

## xapian-core 1.4.18

=== languages/Makefile ===
# Makefile for use in directories built by non-recursive make.

SHELL = /bin/sh

all check check-syntax:
	cd .. && $(MAKE) $@

clean:
	rm -f *.o *.obj *.lo

=== debian/changelog ===
xapian-core (1.4.18-3build1) impish; urgency=medium

  * No-change rebuild against GCC 11 (LP: #1940634).

 -- Logan Rosen <logan@ubuntu.com>  Fri, 20 Aug 2021 23:56:14 -0400

xapian-core (1.4.18-3) unstable; urgency=medium

  * debian/rules: Workaround testcase sensitivity to excess precision by
    skipping the testsuite on m68k and in the non-SSE build on i386.
    (Closes: #983091)

 -- Olly Betts <olly@survex.com>  Wed, 24 Feb 2021 07:33:41 +1300

xapian-core (1.4.18-2) unstable; urgency=medium

  * debian/control.in: Mark conformance with policy 4.5.1.
  * debian/rules: Rewrite to use dh.  Diffoscope shows the only change in the
    binary packages is that xapian-tools now includes
    /usr/share/lintian/overrides/xapian-tools (which is an improvement).
  * debian/control.in: Bump compat level to 12.  Changes to the binary
    packages are that the DWARF debug information is now optimised, and some
    examples are no longer compressed.

 -- Olly Betts <olly@survex.com>  Tue, 16 Feb 2021 19:05:21 +1300

xapian-core (1.4.18-1) unstable; urgency=medium

  * New upstream release.

 -- Olly Betts <olly@survex.com>  Thu, 14 Jan 2021 15:59:48 +1300

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: libs
 Priority: optional
 Maintainer: Olly Betts <olly@survex.com>
-Standards-Version: 4.5.0
-Build-Depends: debhelper (>= 9), autotools-dev, zlib1g-dev, uuid-dev, dpkg (>= 1.16.1~)
+Standards-Version: 4.5.1
+Build-Depends: debhelper-compat (= 12), zlib1g-dev, uuid-dev, dpkg (>= 1.16.1~)
 Homepage: https://xapian.org/
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/olly/xapian-core
